API referenceFiles
Download a file
Files are private to the person who uploaded them.
Authorization
SyncToken AuthorizationBearer <token>
A SyncPilled token from POST /v1/apps/{app}/auth/token, valid for one hour.
In: header
Path Parameters
app*string
The app's id.
sha256*string
The lowercase hex SHA-256 of the file's bytes.
Match
^[0-9a-f]{64}$Response Body
application/octet-stream
application/json
application/json
application/json
curl -X GET "https://example.com/v1/apps/string/files/string""string"Download the changes after a position
Download the changes after a position (GET /v1/apps/{app}/sync/pull) in the SyncPilled API. Accepts a SyncPilled token from the app's sign-in.
Delete a file
Delete a file (DELETE /v1/apps/{app}/files/{sha256}) in the SyncPilled API. Accepts a SyncPilled token from the app's sign-in.